using SteamWare;
using System;

namespace GMW
{
    public partial class anagMagazzini : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            mod_anagMagazzini1.eh_selValore += new EventHandler(mod_anagMagazzini1_eh_selValore);
            mod_anagMagazzini1.eh_resetSelezione += new EventHandler(mod_anagMagazzini1_eh_resetSelezione);
            mod_anagBlocchi1.eh_nuovoValore += new EventHandler(mod_anagBlocchi1_eh_nuovoValore);
            mod_tipoCella1.eh_nuovoValore += new EventHandler(mod_tipoCella1_eh_nuovoValore);
            mod_anagBlocchi1.eh_selValore += new EventHandler(mod_anagBlocchi1_eh_selValore);
        }
        /// <summary>
        /// wrapper traduzione
        /// </summary>
        /// <param name="lemma"></param>
        /// <returns></returns>
        public string traduci(object lemma)
        {
            return user_std.UtSn.Traduci(lemma.ToString());
        }

        void mod_anagBlocchi1_eh_selValore(object sender, EventArgs e)
        {
            Response.Redirect("anagCelle.aspx");
        }

        void mod_tipoCella1_eh_nuovoValore(object sender, EventArgs e)
        {
            mod_confMag1.doUpdate();
        }

        void mod_anagBlocchi1_eh_nuovoValore(object sender, EventArgs e)
        {
            mod_confMag1.doUpdate();
        }

        void mod_anagMagazzini1_eh_resetSelezione(object sender, EventArgs e)
        {
            // nascondo i 3 moduli aggiuntivi!
            pnlMagStat.Visible = false;
            pnlMagConf.Visible = false;
        }

        void mod_anagMagazzini1_eh_selValore(object sender, EventArgs e)
        {
            // mostro i moduli aggiuntivi!
            pnlMagStat.Visible = true;
            pnlMagConf.Visible = true;
            // chiamo update esplicito calcoli
            mod_confMag1.doUpdate();
        }
    }
}
